let age = 30 // global scope

if (true) {
    let age = 40
    let name = "David"
    console.log("Inside 1st code block ", age, name);
    if(true){
        let age = 50;
        console.log("Inside 2nd code block ", age, name);
    }
}

console.log("Outside code block: ", age, name)